| Flutter Linux Embedder |

Functions
fl_plugin_registrar_test.cc File Reference
`#include <gtk/gtk.h>`
`#include "gtest/gtest.h"`
`#include "flutter/shell/platform/linux/fl_binary_messenger_private.h"`
`#include "flutter/shell/platform/linux/fl_texture_registrar_private.h"`
`#include "flutter/shell/platform/linux/public/flutter_linux/fl_plugin_registrar.h"`
`#include "flutter/shell/platform/linux/testing/fl_test.h"`
`#include "flutter/shell/platform/linux/testing/mock_plugin_registrar.h"`

Go to the source code of this file.

## Functions
| TEST (FlPluginRegistrarTest, FlMockRegistrar)

## Function Documentation

## ◆ TEST()

TEST | ( | FlPluginRegistrarTest | ,
|  | FlMockRegistrar |
| ) |  |

Definition at line 17 of file fl_plugin_registrar_test.cc.

17 {
18 g_autoptr(FlEngine) engine = make_mock_engine();
19 g_autoptr(FlBinaryMessenger) messenger = fl_binary_messenger_new(engine);
20 g_autoptr(FlTextureRegistrar) texture_registrar =
21 fl_texture_registrar_new(engine);
22
23 g_autoptr(FlPluginRegistrar) registrar =
24 fl_mock_plugin_registrar_new(messenger, texture_registrar);
25 EXPECT_TRUE(FL_IS_MOCK_PLUGIN_REGISTRAR(registrar));
26
27 EXPECT_EQ(fl_plugin_registrar_get_messenger(registrar), messenger);
28 EXPECT_EQ(fl_plugin_registrar_get_texture_registrar(registrar),
29 texture_registrar);
30 }

References engine, fl_binary_messenger_new(), fl_plugin_registrar_get_messenger(), fl_plugin_registrar_get_texture_registrar(), fl_texture_registrar_new(), and make_mock_engine().

fl_plugin_registrar_get_texture_registrar
G_MODULE_EXPORT FlTextureRegistrar * fl_plugin_registrar_get_texture_registrar(FlPluginRegistrar *self)
Definition: fl_plugin_registrar.cc:120
fl_texture_registrar_new
FlTextureRegistrar * fl_texture_registrar_new(FlEngine *engine)
Definition: fl_texture_registrar.cc:216
fl_plugin_registrar_get_messenger
G_MODULE_EXPORT FlBinaryMessenger * fl_plugin_registrar_get_messenger(FlPluginRegistrar *self)
Definition: fl_plugin_registrar.cc:113
fl_binary_messenger_new
FlBinaryMessenger * fl_binary_messenger_new(FlEngine *engine)
Definition: fl_binary_messenger.cc:406
make_mock_engine
static FlEngine * make_mock_engine()
Definition: fl_event_channel_test.cc:24
engine
FlEngine * engine
Definition: fl_view_accessible.cc:29